checkpoint_dir: ./runs
comment: name
data:
  crop_bbox: true
  image_size:
  - 480
  - 480
  images_dir: null
  name_keys:
  - name
  preprocess_images:
    apply: false
    force_apply: false
    preprocessed_dir: null
  test:
    anno_path: /mnt/space/space-home/wild-me/ms-faces/splits/EDA-combined/ms-face-all/instances_val2023.json
    checkpoint_path: ./runs/ms-face/ms-face-all-1_t3-480-1/model_best.bin
    eval_groups:
    - species
    n_filter_min: 2
    n_subsample_max: 10
  train:
    anno_path: /mnt/space/space-home/wild-me/ms-faces/splits/EDA-combined/ms-face-all/instances_train2023.json
    n_filter_min: 3
    n_subsample_max: null
  use_full_image_path: true
  val:
    anno_path: /mnt/space/space-home/wild-me/ms-faces/splits/EDA-combined/ms-face-all/instances_val2023.json
    n_filter_min: 2
    n_subsample_max: 10
  viewpoint_list: null
engine:
  device: cuda
  epochs: 20
  loss_module: arcface
  num_workers: 12
  seed: 42
  train_batch_size: 12
  use_swa: true
  use_wandb: true
  valid_batch_size: 12
exp_name: ms-face-all-1_t3-480-1
model_params:
  dropout: 0
  fc_dim: 2048
  k: 2
  loss_module: arcface_subcenter_dynamic
  ls_eps: 0
  margin: 0.32841442327915477
  model_name: efficientnetv2_rw_m
  n_classes: 1977
  pretrained: true
  s: 49.32675426153405
  theta_zero: 0.785
  use_fc: false
project_name: ms-face
scheduler_params:
  lr_decay: 0.8
  lr_max: 0.00017189806743319385
  lr_min: 8.594903371659693e-06
  lr_ramp_ep: 15
  lr_start: 1.7189806743319386e-05
  lr_sus_ep: 0
swa_params:
  swa_lr: 0.03524907749683658
  swa_start: 24
test:
  batch_size: 8
  fliplr: false
  fliplr_view: []
